abstract class PinEvent {}

class PinScreenStarted extends PinEvent {}

class PinDigitChanged extends PinEvent {
  final String pin;

  PinDigitChanged(this.pin);
}

class PinSubmitted extends PinEvent {
  final String pin;

  PinSubmitted(this.pin);
}